package com.boman.web.core;

import com.boman.common.security.annotation.EnableCustomConfig;
import com.boman.common.security.annotation.EnableRyFeignClients;
import com.boman.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.context.annotation.ComponentScan;

import java.util.TimeZone;

/**
 * web-core
 *
 * @author shiqian
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringCloudApplication
@ComponentScan(value="com.boman")
public class BomanWebCoreApplication {

    public static void main(String[] args) {
        SpringApplication.run(BomanWebCoreApplication.class, args);
        System.out.println();
        System.out.println();
        System.out.println("---------------------------------------------- web-core 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- web-core 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- web-core 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- web-core 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- web-core 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- web-core 模块启动成功----------------------------------------------");
        System.out.println();
        System.out.println();
    }
}
